import logging

from fastapi import APIRouter
from aiconsole.aic_types import Chat
from aiconsole.director.DirectorResponse import DirectorResponse

from aiconsole.director.director import director_analyse
from aiconsole.utils.connection_manager import ErrorWSMessage, connection_manager

router = APIRouter()
log = logging.getLogger(__name__)

@router.post("/analyse")
async def director(chat: Chat) -> DirectorResponse:
    try:
        return await director_analyse(chat)
    except Exception as e:
        await connection_manager.send_message(chat.id, ErrorWSMessage(error=str(e)))
        raise e
