from .language_map import language_map

code_interpreters = {}

def get_code_interpreter(language):
    if language not in code_interpreters:
        # Case in-sensitive
        language = language.lower()

        try:
            code_interpreters[language] = language_map[language]()
        except KeyError:
            raise ValueError(f"Unknown or unsupported language: {language}")
    
    return code_interpreters[language]

    
